Bug 61571 - ProxyPassMatch work in all VirtualHost context
Summary: ProxyPassMatch work in all VirtualHost context
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_proxy (show other bugs)
Version: 2.2.15
Hardware: Other Linux
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2017-09-27 20:36 UTC by Antonio Casado
Modified: 2018-11-07 21:08 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Antonio Casado 2017-09-27 20:36:26 UTC
Hi,

When i use ProxyPassMatch in foo.example.org VirtualHost, it work in other all virtualhost too.

<VirtualHost *:80>
  DocumentRoot /xxx
  ServerName foo.example.org

  ProxyPassMatch ^/myfoo/(.*\.php(/.*)?)$ fcgi://127.0.0.1:9001/myfolder/myfoo/$1
</VirtualHost>

Bye.
Comment 1 Eric Covener 2017-09-27 20:54:53 UTC
Does it fail on 2.4.x? Can you show your other vhosts and the requests you send?
Comment 2 Antonio Casado 2017-09-28 06:35:02 UTC
I don't know if it fail in httpd 2.4

My system is CentOS release 6.9 (Final)

My resumed httpd.conf

...
NameVirtualHost *:80

<VirtualHost *:80>
    ServerName vh1.example.org
</VirtualHost>

<Directory /web/vh2>
    Options IncludesNoExec FollowSymLinks
    AllowOverride Indexes FileInfo AuthConfig Limit Options=Indexes,FollowSymLinks
    Order allow,deny
    Allow from all
</Directory>

<VirtualHost *:80>
  DocumentRoot /web/vh2
  ServerName vh2.example.org

  <Directory /web/other>
    Options IncludesNoExec FollowSymLinks
    AllowOverride Indexes FileInfo AuthConfig Limit Options=Indexes,FollowSymLinks
    Order allow,deny
    Allow from all
  </Directory>

  Alias /myfoo /web/other/myfoo
  ProxyPassMatch ^/myfoo/(.*\.php(/.*)?)$ fcgi://127.0.0.1:9001/web/other/myfoo/$1
  Alias /2myfoo /web/other/2myfoo
  ProxyPassMatch ^/2myfoo/(.*\.php(/.*)?)$ fcgi://127.0.0.1:9002/web/other/2myfoo/$1
  ...
</VirtualHost>

<VirtualHost *:80>
  DocumentRoot /web/vh3
  ServerName vh3.example.org
</virtualHost>


The tests:
GET http://vh2.example.org/myfoo/myimage.jpg (Status 200, Correct)
GET http://vh3.example.org/myfoo/myimage.jpg (Status 404, Correct)
GET http://vh2.example.org/myfoo/mytest.php (Status 200, Correct)
GET http://vh3.example.org/myfoo/mytest.php (Status 200, INCORRECT)
GET http://vh1.example.org/myfoo/mytest.php (Status 200, INCORRECT)
Comment 3 William A. Rowe Jr. 2018-11-07 21:08:19 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.